﻿/*Telerik RadGrid Grid Skin*/

/*global*/

.RadGrid_Grid
{
    border:1px solid #3b5a82;
	background:#ffffff;
	
	color:#27413e;
	font:10px;
	font-weight:normal;
}

.RadGrid_Grid,
.RadGrid_Grid .rgMasterTable,
.RadGrid_Grid .rgDetailTable,
.RadGrid_Grid .rgGroupPanel table,
.RadGrid_Grid .rgCommandRow table,
.RadGrid_Grid .rgEditForm table,
.RadGrid_Grid .rgPager table,
.GridToolTip_Grid
{
    font:8px;
	font-weight:normal;
}

.RadGrid_Grid .rgMasterTable,
.RadGrid_Grid .rgDetailTable
{
    border-collapse:separate !important;
}

.RadGrid_Grid .rgRow,
.RadGrid_Grid .rgAltRow,
.RadGrid_Grid .rgHeader,
.RadGrid_Grid .rgResizeCol,
.RadGrid_Grid .rgPager,
.RadGrid_Grid .rgGroupPanel,
.RadGrid_Grid .rgGroupHeader
{
	/*cursor:default;*/
	padding-top:0px !important;
	padding-bottom:0px !important;
}

.RadGrid_Grid input[type="image"]
{
	cursor:pointer;
}

.RadGrid_Grid .rgRow td,
.RadGrid_Grid .rgAltRow td,
.RadGrid_Grid .rgEditRow td,
.RadGrid_Grid .rgFooter td,
.RadGrid_Grid .rgFilterRow td,
.RadGrid_Grid .rgHeader,
.RadGrid_Grid .rgResizeCol,
.RadGrid_Grid .rgGroupHeader td
{
	/*padding-left:7px;
	padding-right:7px;*/
	padding-top:0px !important;
	padding-bottom:0px !important;
}

.RadGrid_Grid .rgAltRow td
{
	background-color:#F0F8FF;
	padding-top:0px !important;
	padding-bottom:0px !important;
}

.RadGrid_Grid .rgClipCells .rgHeader,
.RadGrid_Grid .rgClipCells .rgFilterRow>td,
.RadGrid_Grid .rgClipCells .rgRow>td,
.RadGrid_Grid .rgClipCells .rgAltRow>td,
.RadGrid_Grid .rgClipCells .rgEditRow>td,
.RadGrid_Grid .rgClipCells .rgFooter>td
{
	overflow:hidden;
	padding-top:0px !important;
	padding-bottom:0px !important;
}

.RadGrid_Grid .rgHeader:first-child,
.RadGrid_Grid th.rgResizeCol:first-child,
.RadGrid_Grid .rgFilterRow>td:first-child,
.RadGrid_Grid .rgRow>td:first-child,
.RadGrid_Grid .rgAltRow>td:first-child
{
	border-left:0;
	padding-top:0px !important;
	padding-bottom:0px !important; /*padding-left:8px;*/
}

.RadGrid_Grid .rgAdd,
.RadGrid_Grid .rgRefresh,
.RadGrid_Grid .rgEdit,
.RadGrid_Grid .rgDel,
.RadGrid_Grid .rgFilter,
.RadGrid_Grid .rgPagePrev,
.RadGrid_Grid .rgPageNext,
.RadGrid_Grid .rgPageFirst,
.RadGrid_Grid .rgPageLast,
.RadGrid_Grid .rgExpand,
.RadGrid_Grid .rgCollapse,
.RadGrid_Grid .rgSortAsc,
.RadGrid_Grid .rgSortDesc,
.RadGrid_Grid .rgUpdate,
.RadGrid_Grid .rgCancel,
.RadGrid_Grid .rgUngroup,
.RadGrid_Grid .rgExpXLS,
.RadGrid_Grid .rgExpDOC,
.RadGrid_Grid .rgExpPDF,
.RadGrid_Grid .rgExpCSV
{
	width:16px;
	height:16px;
	border:0;
	padding:0px;
	background-color:transparent;
	background-image:url('Images/Grid/sprite.gif');
	background-repeat:no-repeat;
	vertical-align:middle;
	font-size:1px;
	cursor:pointer;
}

.RadGrid_Grid .rgGroupItem input,
.RadGrid_Grid .rgCommandRow img,
.RadGrid_Grid .rgHeader input,
.RadGrid_Grid .rgFilterRow img,
.RadGrid_Grid .rgFilterRow input,
.RadGrid_Grid .rgPager img
{
	vertical-align:middle;
	padding-top:0px;
	padding-bottom:0px;
}

/*header*/

.RadGrid_Grid .rgHeaderDiv
{
	background-color:#E9E1D4;
	font:10px;
	font-weight:normal;

}
.rgTwoLines .rgHeaderDiv
{
	background-position:0 -7550px;
}

.rgNoScrollImage .rgHeaderDiv
{
	background-image:none;
}

.RadGrid_Grid .rgHeader,
.RadGrid_Grid th.rgResizeCol
{
	border-left:1px solid #cccccc;
	border-bottom: solid 1px #cccccc;
	padding-top:0px;
	padding-bottom:0px;
	background-color:#E9E1D4;
	text-align:left;
	font-size:10px !important;
	font-weight:normal !important;
	color:#000000 !important;
}

.RadGrid_Grid th.rgSorted
{
	border-bottom-color:#ff9b35;
	background-color:#ffca5e;
	background-position:0 -2600px;
}

.RadGrid_Grid .rgHeader,
.RadGrid_Grid .rgHeader a
{
    color:#000000;
	text-decoration:none;
	font-weight:normal;
	font-size:10px;
}
.RadGrid_Grid .rgHeader a:visited
{
    font-weight:normal;
	color:#000000 !important;
	text-decoration:none;
	font-size:10px;
}
.RadGrid_Grid .rgHeader a:hover
{
    color:#000000 !important;
    font-weight:normal ;
	text-decoration:none;
	font-size:10px;
}

.RadGrid_Grid th.rgSorted,
.RadGrid_Grid th.rgSorted a
{
    color:#000;
}

.RadGrid_Grid .rgCheck
{
	height:15px;
	margin-top:0;
	margin-bottom:0;
	padding:0px;
	cursor:default;
}

/*rows*/

.RadGrid_Grid .rgRow td,
.RadGrid_Grid .rgAltRow td,
.RadGrid_Grid .rgEditRow td,
.RadGrid_Grid .rgFooter td
{
	border:1px solid;
	border-top:0;
	border-right:0;
	padding-top:0px !important;
	padding-bottom:0px !important;
}

.RadGrid_Grid .rgRow td,
.RadGrid_Grid .rgAltRow td
{
	border-color:#F0F8FF;
	padding-top:0px !important;
	padding-bottom:0px !important;
	padding-left:9px !important;
}

.RadGrid_Grid .rgRow .rgSorted,
.RadGrid_Grid .rgAltRow .rgSorted
{
	background-color:#F0F8FF;
	padding:0px;
}

.RadGrid_Grid .rgSelectedRow .rgSorted,
.RadGrid_Grid .rgActiveRow .rgSorted,
.RadGrid_Grid .rgHoveredRow .rgSorted,
.RadGrid_Grid .rgEditRow .rgSorted
{
	background-color:transparent;
}

.RadGrid_Grid .rgRow a,
.RadGrid_Grid .rgAltRow a,
.RadGrid_Grid .rgEditRow a,
.RadGrid_Grid .rgFooter a,
.RadGrid_Grid .rgEditForm a
{
	color:#00156e;
}

.RadGrid_Grid .rgSelectedRow
{    
    background:url('Images/Grid/sprite.gif') 0 -800px repeat-x #f1c15f;
	padding:0px;
}
*+html .RadGrid_Grid .rgSelectedRow .rgSorted
{
	background:url('Images/Grid/sprite.gif') 0 -800px repeat-x #f1c15f;
	padding:0px;
}
* html .RadGrid_Grid .rgSelectedRow .rgSorted
{
	background:url('Images/Grid/sprite.gif') 0 -800px repeat-x #f1c15f;
	padding:0px;
}


.RadGrid_Grid .rgActiveRow,
.RadGrid_Grid .rgHoveredRow
{
    background:url('Images/Grid/sprite.gif') 0 -800px repeat-x #f1c15f;
	padding:0px;
}
*+html .RadGrid_Grid .rgActiveRow .rgSorted,
*+html .RadGrid_Grid .rgHoveredRow .rgSorted
{
    background:url('Images/Grid/sprite.gif') 0 -800px repeat-x #f1c15f;
	padding:0px;
}
* html .RadGrid_Grid .rgActiveRow .rgSorted,
* html .RadGrid_Grid .rgHoveredRow .rgSorted
{
    background:url('Images/Grid/sprite.gif') 0 -800px repeat-x #f1c15f;
	padding:0px;
}

.RadGrid_Grid .rgEditRow
{
	background:#ffe5ad;
}
*+html .RadGrid_Grid .rgEditRow .rgSorted
{
    background:url('Images/Grid/sprite.gif') 0 -800px repeat-x #f1c15f;
	padding:0px;
}
* html .RadGrid_Grid .rgEditRow .rgSorted
{
    background:url('Images/Grid/sprite.gif') 0 -800px repeat-x #f1c15f;
	padding:0px;
}

.RadGrid_Grid .rgSelectedRow td,
.RadGrid_Grid .rgActiveRow td,
.RadGrid_Grid .rgHoveredRow td,
.RadGrid_Grid .rgEditRow td
{
	border-left:0;
	padding-top:0px !important;
	padding-bottom:0px !important;/*??padding-left:8px;*/
}

.RadGrid_Grid .rgSelectedRow td
{
	background:url('Images/Grid/sprite.gif') 0 -800px repeat-x #f1c15f;
	padding-top:0px !important;
	padding-bottom:0px !important;
}

.RadGrid_Grid .rgActiveRow td,
.RadGrid_Grid .rgHoveredRow td,
.RadGrid_Grid .rgEditRow td
{
	border-bottom-color:#F0F8FF;
	padding-top:0px !important;
	padding-bottom:0px !important;
	cursor:pointer;
}


.RadGrid_Grid .rgHoveredRow td
{
	background:url('Images/Grid/sprite.gif') 0 -800px repeat-x #f1c15f;
	padding-top:0px !important;
	padding-bottom:0px !important;
}

/*footer*/

.RadGrid_Grid .rgFooterDiv,
.RadGrid_Grid .rgFooter
{
	background:#9ab5db 0 -6500px repeat-x url('Images/Grid/sprite.gif');
	
}

.RadGrid_Grid .rgFooter td
{
	border-width:1px 0;
	border-color:#567db0 #fff #fff;
	padding-left:8px;
	padding-top:0px !important;
	padding-bottom:0px !important;
	font-size:12px;
	font-weight:bold;
}

/*status*/

.RadGrid_Grid .rgPager .rgStatus
{
	width:35px;
	border:0;
	border-top:1px solid #5d8cc9;
	border-right:1px solid #9cb9dc;
	border-color:#5d8cc9 #9cb9dc;
	padding:3px;
}

.RadGrid_Grid .rgStatus div
{
	width:24px;
	height:24px;
	overflow:hidden;
	border:0;
	margin:0 auto;
	padding:0px;
	background:transparent center center no-repeat url('Images/Common/loading.gif');
	text-indent:-2222px;
}

/*pager*/

.RadGrid_Grid .rgPager
{	
	background:url('Images/Grid/sprite.gif') 0 -600px repeat-x #d7e5f7;
    line-height:20px;
}

.RadGrid_Grid .rgPager td
{
	padding:1px 1px 1px;
}

.RadGrid_Grid .rgPager .rgPagerCell
{
	border:0;
	border-top:1px solid #5d8cc9;
	border-left:1px solid #fff;
	padding:5px 0;
}

.RadGrid_Grid .rgWrap
{
	float:left;
	padding:0px 10px 0px 0px;
	line-height:22px;
	white-space:nowrap;
}

.RadGrid_Grid .rgArrPart1
{
	padding-right:0;
}

.RadGrid_Grid .rgArrPart2
{
	padding-left:0;
}

.RadGrid_Grid .rgInfoPart
{
	float:right;
	color:#333;
}

.RadGrid_Grid .rgInfoPart strong
{
	font-weight:normal;
	color:#000;
}

.RadGrid_Grid .rgArrPart1 img,
.RadGrid_Grid .rgArrPart2 img
{
	margin:0 8px;
}

.RadGrid_Grid .rgPageFirst,
.RadGrid_Grid .rgPagePrev,
.RadGrid_Grid .rgPageNext,
.RadGrid_Grid .rgPageLast
{
	width:17px;
	height:22px;
	vertical-align:top;
}

.RadGrid_Grid .NextPrev .rgPageFirst,
.RadGrid_Grid .NextPrev .rgPagePrev,
.RadGrid_Grid .NextPrev .rgPageNext,
.RadGrid_Grid .NextPrev .rgPageLast
{
	vertical-align:middle;
}

.RadGrid_Grid .rgPagePrev,
.RadGrid_Grid .rgPagePrev:hover
{
	background-position:5px -1388px;
}

.RadGrid_Grid .rgPageNext,
.RadGrid_Grid .rgPageNext:hover
{
	background-position:-22px -1388px;
}

.RadGrid_Grid .rgPageFirst,
.RadGrid_Grid .rgPageFirst:hover
{
	background-position:4px -1356px;
}

.RadGrid_Grid .rgPageLast,
.RadGrid_Grid .rgPageLast:hover
{
	background-position:-20px -1356px;
}

.RadGrid_Grid .rgPager .rgPagerButton
{
	height:22px;
	border:1px solid #7793b9;
	margin:0 14px 0 0;
	padding:0px 4px 2px;
	background:#e8f1fc repeat-x 0 -1550px url('Images/Grid/sprite.gif');
	color:#00156e;
	font:12px/12px "segoe ui",arial,sans-serif;
	vertical-align:middle;
	cursor:pointer;
}

.RadGrid_Grid .rgNumPart
{
	padding:0px;
}

.RadGrid_Grid .NumericPages .rgNumPart
{
	padding:0px 10px;
}

.RadGrid_Grid .rgNumPart a:hover,
.RadGrid_Grid .rgNumPart a:hover span,
.RadGrid_Grid .rgNumPart a.rgCurrentPage,
.RadGrid_Grid .rgNumPart a.rgCurrentPage span
{
	background:no-repeat url('Images/Grid/sprite.gif');
}

.RadGrid_Grid .rgNumPart a
{
	float:left;
	line-height:22px;
	margin:0;
	padding:0px 5px 0 0;
	color:#00156e;
	text-decoration:none;
}

.RadGrid_Grid .rgNumPart span
{
	float:left;
	padding:0px 0 0 5px;
}

.RadGrid_Grid .rgNumPart a:hover
{
	background-position:100% -1250px;
}

.RadGrid_Grid .rgNumPart a:hover span
{
	background-position:0 -1150px;
	cursor:pointer;
}

.RadGrid_Grid .rgNumPart a.rgCurrentPage,
.RadGrid_Grid .rgNumPart a.rgCurrentPage:hover
{
	background-position:100% -1450px;
	cursor:default;
}

.RadGrid_Grid .rgNumPart a.rgCurrentPage span,
.RadGrid_Grid .rgNumPart a.rgCurrentPage:hover span
{
	background-position:0 -1350px;
	cursor:default;
}

.RadGrid_Grid .NextPrevNumericAndAdvanced .rgAdvPart
{
	float:none;
	text-align:center;
}

.RadGrid_Grid .rgPager .RadSlider
{
	float:left;
	margin:0 10px 0 0;
}

.RadGrid_Grid .rgPager .rgPagerLabel,
.RadGrid_Grid .rgPager .RadComboBox,
.RadGrid_Grid .rgPager .RadInput_Grid
{
	margin:0 4px 0 0;
	vertical-align:middle;
}

*+html .RadGrid_Grid .rgPager .RadComboBox{margin-top:-1px;}
* html .RadGrid_Grid .rgPager .RadComboBox{margin-top:-1px;padding:1px 0;}

.RadGrid_Grid .rgPagerTextBox
{
	text-align:center;
}

/*sorting, reordering*/

.RadGrid_Grid .rgHeader .rgSortAsc
{
	/*background-position:3px -147px;*/
	background-position:-21px -1262px;	
	height:10px;
}

.RadGrid_Grid .rgHeader .rgSortDesc
{
	/*background-position:3px -96px;*/
	background-position:4px -1262px;
	height:10px;
}

.GridReorderTop_Grid,
.GridReorderBottom_Grid
{
	width:9px !important;
	height:9px !important;
	margin-left:-5px;
	background:0 0 no-repeat url('Images/Grid/sprite.gif');
}

.GridReorderBottom_Grid
{
	background-position:0 -50px;
}

/*filtering*/

.RadGrid_Grid .rgFilterRow
{
	background:#d6e5f3;
}

.RadGrid_Grid .rgFilterRow td
{
    padding-top:0px;
    padding-bottom:0px;
    border:solid #9eb6ce;
    border-width:0 0 1px 1px;
}

.RadGrid_Grid .rgFilter
{
	width:22px;
	height:22px;
	margin:0 0 0 2px;
	background-position:0 -300px;
}

.RadGrid_Grid .rgFilter:hover
{
	background-position:0 -350px;
}

.RadGrid_Grid .rgFilterActive,
.RadGrid_Grid .rgFilterActive:hover
{
	background-position:0 -400px;
}

.RadGrid_Grid .rgFilterBox
{
	border:1px solid #abc1de;
	padding:2px 1px 3px;
	font:12px "segoe ui",arial,sans-serif;
	color:#000;
	vertical-align:middle;
}

/*grouping*/

.RadGrid_Grid .rgGroupPanel
{
	height:24px;
	border:0;
	border-bottom:1px solid #688caf;
	background:#ecf3fc;
}

.RadGrid_Grid .rgGroupPanel td
{
	border:0;
	padding:0px 0px;
	vertical-align:middle;
}

.RadGrid_Grid .rgGroupPanel td td
{
	padding:0px;
}

.RadGrid_Grid .rgGroupPanel .rgSortAsc
{
	background-position:4px -144px;
}

.RadGrid_Grid .rgGroupPanel .rgSortDesc
{
	background-position:4px -94px;
}

.RadGrid_Grid .rgUngroup
{
	background-position:0 -7500px;
}

.RadGrid_Grid .rgGroupItem
{
	border:1px solid #4b78ca;
	padding:0px 2px 1px 3px;
	background:#e6ebf5 0 -1900px repeat-x url('Images/Grid/sprite.gif');
	color:#00156e;
	line-height:20px;
	font-weight:normal;
	vertical-align:middle;
}

.RadGrid_Grid .rgGroupHeader
{
    background:#d7e6f7;
    font-size:1.1em;
    line-height:21px;
	color:#567db0;
}

.RadGrid_Grid .rgGroupHeader td
{
	border-top:1px solid #fcfcfd;
	border-bottom:1px solid #6f92b3;
    padding:0px 7px 0 8px;
    border-left:0px solid #d7e6f7;
    border-right:0px solid #d7e6f7;
}

.RadGrid_Grid td.rgGroupCol,
.RadGrid_Grid td.rgExpandCol
{
	background:#d7e6f7 none;
	border-color:#d7e6f7;
}

.RadGrid_Grid .rgGroupHeader .rgExpand
{
	background-position:5px -495px;
}

.RadGrid_Grid .rgGroupHeader .rgCollapse
{
	background-position:3px -93px;
}

.RadGrid_Grid .rgGroupHeader td p
{
    display:inline;
    margin:0;
    padding:0px 10px;
}

.RadGrid_Grid .rgGroupHeader td div div
{
	top:-0.8em;
	padding:0px 10px;
}

.RadGrid_Grid .rgGroupHeader td div div div
{
	top:0;
	padding:0px;
	border:0;
}

/*editing*/

.RadGrid_Grid .rgEditForm
{
	border-bottom:1px solid #F0F8FF;
}

.RadGrid_Grid .rgUpdate
{
	background-position:0 -1800px;
}

.RadGrid_Grid .rgCancel
{
	background-position:2px -1848px;
}

/*hierarchy*/

.RadGrid_Grid .rgDetailTable
{
	border:1px solid #688caf;
	border-right-width:0;
}

.RadGrid_Grid .rgExpand
{
	background-position:5px -496px;
}

.RadGrid_Grid .rgCollapse
{
	background-position:3px -94px;
}

/*command row*/

.RadGrid_Grid .rgCommandRow
{
	background:#d6e6f4 0 -2099px repeat-x url('Images/Grid/sprite.gif');
	color:#333;
}

.RadGrid_Grid .rgCommandCell
{
	border:0;
	padding:0px;
}

.RadGrid_Grid thead .rgCommandCell
{
	border-bottom:1px solid #688caf;
}

.RadGrid_Grid tfoot .rgCommandCell
{
	border-top:1px solid #688caf;
}

.RadGrid_Grid .rgCommandTable td
{
	border:0;
	padding:3px 7px 4px;
}

.RadGrid_Grid .rgCommandTable
{
	border:1px solid #f6f7f9;
}

.RadGrid_Grid .rgCommandRow a
{
	color:#00156e;
	text-decoration:none;
}

.RadGrid_Grid .rgAdd
{
	margin-right:3px;
	background-position:0 -1650px;
}

.RadGrid_Grid .rgRefresh
{
	margin-right:3px;
	background-position:0 -1600px;
}

.RadGrid_Grid .rgEdit
{
	background-position:0 -1700px;
}

.RadGrid_Grid .rgDel
{
	background-position:0 -1750px;
}

.RadGrid_Grid .rgExpXLS,
.RadGrid_Grid .rgExpDOC,
.RadGrid_Grid .rgExpPDF,
.RadGrid_Grid .rgExpCSV
{
	background-image:url('Images/Common/Grid/export.gif');
}

.RadGrid_Grid .rgExpXLS
{
	background-position:0 0;
}
.RadGrid_Grid .rgExpDOC
{
	background-position:0 -50px;
}
.RadGrid_Grid .rgExpPDF
{
	background-position:0 -100px;
}
.RadGrid_Grid .rgExpCSV
{
	background-position:0 -150px;
}

/*multirow select*/

.GridRowSelector_Grid
{
	background:#00156e;
}

/*row drag n drop*/

.GridItemDropIndicator_Grid
{
    border-top:1px dashed #00156e;
}

/*tooltip*/

.GridToolTip_Grid
{
	border:1px solid #6187b8;
	padding:3px;
	background:#d7e3f2;
	color:#333;
}

/*rtl*/

.RadGridRTL_Grid .rgHeader,
.RadGridRTL_Grid .rgResizeCol
{
	text-align:right;
}

.RadGridRTL_Grid .rgHeader:first-child,
.RadGridRTL_Grid th.rgResizeCol:first-child,
.RadGridRTL_Grid .rgFilterRow>td:first-child,
.RadGridRTL_Grid .rgRow>td:first-child,
.RadGridRTL_Grid .rgAltRow>td:first-child
{
	border-left:1px solid;
	padding-left:7px;
}

.RadGridRTL_Grid .rgPager .rgStatus
{
	border-right:0;
	border-left-width:1px;
}

.RadGridRTL_Grid .rgWrap
{
	float:right;
}

.RadGridRTL_Grid .rgInfoPart
{
	float:left;
}

.RadGridRTL_Grid .rgNumPart
{
	width:220px;
}

.RadGridRTL_Grid .rgNumPart a
{
	float:right;
}

.RadGridRTL_Grid .rgPageFirst
{
	background-position:0 -998px;
}
.RadGridRTL_Grid .rgPageFirst:hover
{
	background-position:0 -1048px;
}
.RadGridRTL_Grid .rgPagePrev
{
	background-position:0 -848px;
}
.RadGridRTL_Grid .rgPagePrev:hover
{
	background-position:0 -898px;
}
.RadGridRTL_Grid .rgPageNext
{
	background-position:0 -698px;
}
.RadGridRTL_Grid .rgPageNext:hover
{
	background-position:0 -748px;
}
.RadGridRTL_Grid .rgPageLast
{
	background-position:0 -548px;
}
.RadGridRTL_Grid .rgPageLast:hover
{
	background-position:0 -598px;
}

.RadGridRTL_Grid .rgDetailTable
{
	border-right-width:1px;
	border-left-width:0;
}
.GridGropTextAlign {
    text-align: center !important;
    white-space: nowrap !important;
}